#!/usr/bin/env python3

from collections import defaultdict, Counter
from glob import glob
from xml.etree import ElementTree

labels = ['celex', 'co-ga', 'co-rp']
corpora = []

for f in ['celex', 'combilex-ga', 'combilex-rp']:
    corpus = set()
    with open(f) as inp:
        for line in inp:
            corpus.add(line.strip().replace(' ', '').split('\t')[0])
    corpora.append(corpus)

NEWSDIR = '/home/aditya/Work/resources/NEWS11'
TL = set()
TLlist = defaultdict(Counter)
TLlist2 = defaultdict(Counter)
for tlfile in sorted(glob('En??')):
    lang = tlfile[-2:]
    labels.append(lang)
    corpus = set()
    with open(tlfile) as inp:
        for line in inp:
            entry = line.strip().replace(' ', '').split('\t')[0]
            corpus.add(entry)
            TLlist[lang][entry] += 1
            TLlist2[lang][entry] = 1

    corpora.append(corpus)
    TL |= corpus

labels.append('TL')
corpora.append(TL)

print('', *labels, sep='\t')
for label, corpus in zip(labels, corpora):
    print(label, end='')
    for corpus2 in corpora:
        print('\t', len(corpus & corpus2), end='')
    print()

print()
tllabels = labels[4:-1]
tlcorpora = corpora[4:-1]
for label, corpus in zip(tllabels, tlcorpora):
    otherTLs = set()
    for label2, corpus2 in zip(tllabels, tlcorpora):
        if label != label2:
            otherTLs |= corpus2

    total = 0
    relevant = 0
    for lang in TLlist:
        if lang != label:
            for word in corpus:
                total += TLlist[lang][word]
                relevant += TLlist2[lang][word]

    #print(label, len(corpus & otherTLs), total, relevant, sep='\t')
    print(label, len(corpus & otherTLs), relevant, sep='\t')
