#!/usr/bin/env python3

from collections import defaultdict
from sys import stdin


REMOVE_WORDS_WITH = ".-'/ "

combilex = defaultdict(list)
for line in stdin.readlines():
    w, p = line.strip().split('\t')
    w = w.lower().split(' ')
    p = p.replace(' ', '').split('#')
    if len(w) == len(p):
        for word, pronunciation in zip(w, p):
            if not set(word) & set(REMOVE_WORDS_WITH):
                if pronunciation not in combilex[word]:
                    combilex[word].append(pronunciation)

for w in sorted(combilex):
    for p in combilex[w]:
        print(' '.join(w), ' '.join(p), sep='\t')
