#!/usr/bin/env python3

from optparse import OptionParser
from os import path


REMOVE_WORDS_WITH = ".-'/ "

parser = OptionParser(usage='usage: %prog [options] NEWSROOTDIR')
parser.add_option('-w', '--no-wordforms', action='store_false',
                  dest='wordforms', default=True,
                  help="don't include wordforms")

options, args = parser.parse_args()
celexEnPath = args[0]

celex = set()
with open(path.join(celexEnPath, 'epl/epl.cd')) as inp:
    for line in inp:
        stuff = line.strip().split('\\')
        if not set(stuff[1]) & set(REMOVE_WORDS_WITH):
            celex.add((stuff[1].lower(), ''.join(ch for ch in stuff[5] if ch not
                                                 in '"-\'')))

# comment this out to ignore wordforms (i.e. use lemmas only)
with open(path.join(celexEnPath, 'epw/epw.cd')) as inp:
    for line in inp:
        stuff = line.strip().split('\\')
        if not set(stuff[1]) & set(REMOVE_WORDS_WITH):
            celex.add((stuff[1].lower(), ''.join(ch for ch in stuff[6] if ch not
                                                 in '"-\'')))

for entry in sorted(celex):
    print(' '.join(entry[0]), ' '.join(entry[1].replace('_', '}')), sep = '\t')
